<div class="card">
  <div class="card-header">
    <h3>Nastavnik: {{nastavnik?.ime}} {{nastavnik?.prezime}}</h3>
  </div>
  <div class="card-body">
    <ngb-tabset justify="start" (tabChange)="tabChanged($event)">
      <ngb-tab title="Opsti Podaci">
        <ng-template ngbTabContent>
          <form>
            <div class="row">
              <div class="col-6">
                <div class="form-group">
                  <label for="ime"><b>Ime</b></label>
                  <input class="form-control" name="ime" readonly value="{{nastavnik?.ime}}">
                </div>
                <div class="form-group">
                  <label for="prezime"><b>Prezime</b></label>
                  <input class="form-control" name="prezime" readonly value="{{nastavnik?.prezime}}">
                </div>
                <div class="form-group">
                  <label for="korisnickoIme"><b>Korisnicko ime</b></label>
                  <input class="form-control" name="korisnickoIme" readonly value="{{nastavnik?.korisnickoIme}}">
                </div>
              </div>
              <div class="col-6">
                <div class="form-group">
                  <label for="email"><b>Email</b></label>
                  <input type="email" class="form-control" name="email" readonly value="{{nastavnik?.email}}">
                </div>
                <div class="form-group">
                  <label for="adresa"><b>Zvanje</b></label>
                  <input type="text" class="form-control" name="adresa" readonly value="{{zvanje?.naziv}}">
                </div>
              </div>
            </div>
          </form>
        </ng-template>
      </ngb-tab>
      <ngb-tab id="nastavnikPredaje" title="Predaje">
        <ng-template ngbTabContent>
          <div class="container">
            <table class="table table-hover">
              <thead class="bg-info text-light">
                <tr>
                  <th>Naziv</th>
                  <th>Oznaka</th>
                  <th>ESPB</th>
                </tr>
              </thead>
              <tbody>
                <tr *ngFor="let predmet of predmeti">
                  <td>{{predmet.naziv}} </td>
                  <td>{{predmet.oznaka}} </td>
                  <td>{{predmet.espb}} </td>
                </tr>
              </tbody>
            </table>
          </div>
        </ng-template>
      </ngb-tab>
    </ngb-tabset>
  </div>
  <div class="card-footer">
    <div class="row">
      <div class="col-3">
        <button class="btn btn-danger" (click)="open(content)">Delete</button>
        <button class="btn btn-warning" (click)="onUpdate();open(nastavnikUpdate)">Update</button>
      </div>
      <div class="col-7"></div>
      <div class="col-1"></div>
      <div class="col-1">
        <button class="btn btn-info" (click)="onBack()">Back</button>
      </div>
    </div>
  </div>
</div>


<ng-template #content let-c="close" let-d="dismiss">
  <div class="modal-header bg-danger">
    <h4 class="modal-title text-light" id="modal-basic-title">Delete</h4>
    <button type="button" class="close" aria-label="Close" (click)="d('Cross click')">
      <span aria-hidden="true">&times;</span>
    </button>
  </div>
  <div class="modal-body">
    <h5>Da li ste sigurni da zelite da obrisete nastavnika: {{nastavnik?.ime}} {{nastavnik?.prezime}} ?</h5>
  </div>
  <div class="modal-footer">
    <div class="row">
      <div class="col-6">
        <button type="button" class="btn btn-danger" (click)="deleteNastavnik();c()">Delete</button>
      </div>
      <div class="col-6">
        <button type="button" class="btn btn-default" (click)="c()">Cancel</button>
      </div>
    </div>

  </div>
</ng-template>


<ng-template #nastavnikUpdate let-c="close" let-d="dismiss">
  <div class="modal-header bg-warning">
    <h4 class="modal-title text-light" id="modal-basic-title">Update</h4>
    <button type="button" class="close" aria-label="Close" (click)="d('Cross click')">
      <span aria-hidden="true">&times;</span>
    </button>
  </div>
  <div class="modal-body">
    <form>
      <div class="form-group">
        <label for="ime"><b>Ime</b></label>
        <input type="text" class="form-control" [(ngModel)]="nastavnikCopy.ime" name="ime" placeholder="Ime">
        <label for="prezime"><b>Prezime</b></label>
        <input type="text" class="form-control" [(ngModel)]="nastavnikCopy.prezime" name="prezime" placeholder="Prezime">
        <label for="korisnickoIme"><b>Korisnicko ime</b></label>
        <input type="text" class="form-control" [(ngModel)]="nastavnikCopy.korisnickoIme" placeholder="Korisnicko Ime" name="korisnickoIme">
        <label for="Email"><b>Email</b></label>
        <input type="email" class="form-control" placeholder="Email" [(ngModel)]="nastavnikCopy.email" name="email">
        <label for="zvanje"><b>Zvanje</b></label>
        <select name="zvanje" class="form-control" [(ngModel)]="nastavnikCopy.zvanje">
          <option *ngFor="let zvanje of zvanja" value="{{zvanje.id}}">{{zvanje.naziv}}</option>
        </select>
        <label for="sifra"><b>Sifra</b></label>
        <input type="password" placeholder="Enter new Password" class="form-control" [(ngModel)]="nastavnikCopy.sifra" name="sifra">

        <!-- <label for="zvanje"><b></b></label>
        <input type="text" class="form-control"> -->
      </div>
    </form>
  </div>
  <div class="modal-footer">
    <div class="row">
      <div class="col-6">
        <button type="button" class="btn btn-success" (click)="onUpdateConfirm();c()">Update</button>
      </div>
      <div class="col-6">
        <button type="button" class="btn btn-default" (click)="onUpdateCancel();c()">Cancel</button>
      </div>
    </div>

  </div>
</ng-template>